/* LISTS.H - Programmed by Maarten Hofman */
/* 200404: Started programming */
/* 290404: Add release functionality */
/* 240704: Added parents to unloading */
/* 270904: Added redo_from_start() */
/* 150205: Added load_all_sounds() */

#include <stdio.h>
#include <strings.h>

#include "blob.h"
#include "audio.h"
#include "texture.h"
#include "ms3dmodel.h"

#define RESOURCE_DIR	"resources/"
#define MODEL_MAX	100
#define TEXTURE_MAX	100
#define BLOB_MAX	300
#define SOUND_MAX	100

extern CMs3dModel *models[];
extern blob *blobs[];
extern CTexture *texs[];
extern soundbyte *sounds[];
extern int mm,tm,bm,sm;

blob *find_blob(char *nm);
void load_animation(char *nm,char *fn,char *txtr);
void load_model_and_texture(char *nm,char *mdl,char *txtr);
void load_sound(char *how);
void unload_blob(char *nm);
void redo_lists_from_start();
void load_all_sounds();
